Bug 1890756 (CVE-2020-14812) - CVE-2020-14812 mysql: Server: Locking unspecified vulnerability (CPU Oct 2020)
Summary: CVE-2020-14812 mysql: Server: Locking unspecified vulnerability (CPU Oct 2020)
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2020-14812
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1890789 1890790 1890791 1892011 1892053 1894078 1894079 1894080 1894081 1894563 1894565 1894590 1894981 1899090 1899091 1899092 1899098 1996704 2003097
Blocks: 1890796
TreeView+ depends on / blocked
 
Reported: 2020-10-22 20:15 UTC by msiddiqu
Modified: 2024-06-13 23:16 UTC (History)
20 users (show)

Fixed In Version: mysql 5.6.50, mysql 5.7.32, mysql 8.0.22, mariadb 10.5.7, mariadb 10.4.16, mariadb 10.3.26, mariadb 10.2.35, mariadb 10.1.48
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-30 17:34:05 UTC
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2020:5318 0 None None None 2020-12-02 11:08:13 UTC
Red Hat Product Errata RHBA-2021:0025 0 None None None 2021-01-05 14:20:57 UTC
Red Hat Product Errata RHSA-2020:5246 0 None None None 2020-11-30 13:45:14 UTC
Red Hat Product Errata RHSA-2020:5500 0 None None None 2020-12-15 17:10:49 UTC
Red Hat Product Errata RHSA-2020:5654 0 None None None 2020-12-22 09:02:10 UTC
Red Hat Product Errata RHSA-2020:5663 0 None None None 2020-12-22 09:25:10 UTC
Red Hat Product Errata RHSA-2020:5665 0 None None None 2020-12-22 09:26:25 UTC
Red Hat Product Errata RHSA-2021:3590 0 None None None 2021-09-21 08:43:15 UTC
Red Hat Product Errata RHSA-2021:3811 0 None None None 2021-10-12 14:12:42 UTC

Description msiddiqu 2020-10-22 20:15:07 UTC
Vulnerability in the MySQL Server product of Oracle MySQL (component: Server: Locking). Supported versions that are affected are 5.6.49 and prior, 5.7.31 and prior and 8.0.21 and prior. Easily exploitable vulnerability allows high privileged attacker with network access via multiple protocols to compromise MySQL Server. Successful attacks of this vulnerability can result in unauthorized ability to cause a hang or frequently repeatable crash (complete DOS) of MySQL Server.

External References:

https://www.oracle.com/security-alerts/cpuoct2020.html#AppendixMSQL

Comment 1 msiddiqu 2020-10-22 20:42:51 UTC
Created community-mysql tracking bugs for this issue:

Affects: fedora-all [bug 1890789]


Created mysql:5.7/community-mysql tracking bugs for this issue:

Affects: fedora-32 [bug 1890791]


Created mysql:8.0/community-mysql tracking bugs for this issue:

Affects: fedora-all [bug 1890790]

Comment 3 Tomas Hoger 2020-11-03 14:09:12 UTC
Created mariadb tracking bugs for this issue:

Affects: fedora-31 [bug 1894078]
Affects: fedora-32 [bug 1894079]


Created mariadb:10.3/mariadb tracking bugs for this issue:

Affects: fedora-all [bug 1894080]


Created mariadb:10.4/mariadb tracking bugs for this issue:

Affects: fedora-all [bug 1894081]

Comment 7 errata-xmlrpc 2020-11-30 13:45:11 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.6 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.7 EUS

Via RHSA-2020:5246 https://access.redhat.com/errata/RHSA-2020:5246

Comment 8 Product Security DevOps Team 2020-11-30 17:34:05 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-14812

Comment 9 errata-xmlrpc 2020-12-15 17:10:40 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:5500 https://access.redhat.com/errata/RHSA-2020:5500

Comment 10 errata-xmlrpc 2020-12-22 09:02:05 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.2 Extended Update Support

Via RHSA-2020:5654 https://access.redhat.com/errata/RHSA-2020:5654

Comment 11 errata-xmlrpc 2020-12-22 09:25:07 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.0 Update Services for SAP Solutions

Via RHSA-2020:5663 https://access.redhat.com/errata/RHSA-2020:5663

Comment 12 errata-xmlrpc 2020-12-22 09:26:19 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.1 Extended Update Support

Via RHSA-2020:5665 https://access.redhat.com/errata/RHSA-2020:5665

Comment 13 errata-xmlrpc 2021-09-21 08:43:13 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2021:3590 https://access.redhat.com/errata/RHSA-2021:3590

Comment 14 errata-xmlrpc 2021-10-12 14:12:40 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.7 EUS

Via RHSA-2021:3811 https://access.redhat.com/errata/RHSA-2021:3811


Note You need to log in before you can comment on or make changes to this bug.